=== debian/changelog ===
x2goclient (4.1.1.1-2ubuntu0.18.04.1) bionic; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (LP: #1856795).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Dec 2019 21:11:41 +0100

x2goclient (4.1.1.1-2) unstable; urgency=medium

  [ Scarlett Clark ]
  * Port to Qt5. (Closes: #875236).
    + Add patch to adjust Makefile to remove qt4 from binaries used.
    + Comment out plugin packages in control. Plugins are still QT4.
      Update client package to show qt5 rather than qt4.
    + Update build depends to qt5 packages.
    + Update rules file to only build/install client/man.
    + Add QT_SELECT to rules to use qt5.

  [ Mike Gabriel ]
  * debian/*:
    + Drop all references to the x2goplugin{,-provider} bin:packages.
  * debian/patches:
    + Whitespace cleanup in header of update_makefile_qt5-build.patch.
  * debian/rules:
    + Drop now (since DH compat level 11) default argument --parallel.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Apr 2018 11:34:03 +0200

x2goclient (4.1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Update 1002_fix-ftbfs-on-non-linux.patch. Spot another location where to
      drop inclusion of sys/mount.h.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/watch:
    + Use secure URL to retrieve upstream's source tarball.
  * debian/changelog: White-space clean-up.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Feb 2018 22:49:12 +0100
