=== debian/control ===
Source: x2goclient
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
Build-Depends:
 apache2-dev,
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 libldap2-dev,
 libssh-dev (>= 0.5.4-2~),
 libcups2-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.3
Homepage: http://wiki.x2go.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Conflicts:
 x2goclient-gtk,
Replaces:
 x2goclient-gtk,
Description: X2Go Client application (Qt5)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt5) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
