## x2goclient 4.1.2.0

=== debian/changelog ===
x2goclient (4.1.2.0-2) unstable; urgency=medium

  * debian/changelog:
    + Fix typo in previous changelog stanza.
  * debian/patches:
    + Update 1002_fix-ftbfs-on-non-linux.patch. Fix another FTBFS cause for
      Hurd and kFreeBSD in src/InteractionDialog.cpp.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jun 2018 11:37:08 +0200

x2goclient (4.1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Now with LXQt support. (Closes: #891320).
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Provide upstream metadata info. Make package compliant with DEP-12.
  * debian/patches:
    + Rebase update_makefile_qt5-build.patch.
    + Rebase and improve 1002_fix-ftbfs-on-non-linux.patch.
    + Drop 1001_deprecated-apache2-config.patch. X2Go Plugin is not shipped
      anymore in the code base.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Jun 2018 23:11:22 +0200
