=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -20,10 +19,10 @@
  man2html-base | man2html,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://wiki.x2go.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
+Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/
 
 Package: x2goclient
 Architecture: any
