=== debian/changelog ===
x2goclient (4.1.2.1-4) unstable; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (Closes: #947129).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2019 17:56:23 +0100

x2goclient (4.1.2.1-3) unstable; urgency=medium

  * debian/control:
    + New team ML address: debian-remote@lists.debian.org.
    + Use secure URL in Homepage: field.
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/rules:
    + Drop dbgsym:migration override.
  * debian/x2goclient.manpages:
    + Drop file. Man page gets installed by dh_install.
      Might help with a recent FTBFS of 4.1.2.1-2+b1) on Debian's buildds.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2019 14:19:27 +0100

x2goclient (4.1.2.1-2) unstable; urgency=medium

  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Add 1003_fix_ftbfs-against-libssh-0-8.patch. Fix FTBFS against
      libssh 0.8. (Closes: #905945).
    + Add 1004_fix_ftbfs-against-qt5-11.patch. Fix FTBFS against
      Qt 5.11.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 21:48:20 +0200

x2goclient (4.1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Jun 2018 14:35:36 +0200
