=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  libldap2-dev,
  libssh-dev (>= 0.5.4-2~),
@@ -19,8 +19,8 @@
  man2html-base | man2html,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.4
-Homepage: http://wiki.x2go.org/
+Standards-Version: 4.4.1
+Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/
