=== debian/changelog ===
x2goclient (4.1.2.2-2build2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:59:51 +0000

x2goclient (4.1.2.2-2build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:11:10 -0400

x2goclient (4.1.2.2-2) unstable; urgency=medium

  * Re-upload as is, due t 4.1.2.2-1 not having been a source-only upload.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Mar 2020 10:28:31 +0100

x2goclient (4.1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Drop 1003_fix_ftbfs-against-libssh-0-8.patch,
      1004_fix_ftbfs-against-qt5-11.patch,
      libssh-regression-fix-CVE-2019-14889.patch. Applied upstream.
    + Rebase update_makefile_qt5-build.patch.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    * Add B-D: pkg-config.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Feb 2020 22:33:38 +0100
