=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -17,9 +18,10 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
+ pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/
