## x2goclient 4.1.2.3

=== x2gohelper/Makefile ===
all:
	g++ -mwindows -o ../client_build/release/x2gohelper.exe x2gohelper.cpp
clean:
	del ..\client_build\release\x2gohelper.exe
