=== debian/changelog ===
x2goclient (4.1.2.3-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1003_make-4.4.1.patch. Fix FTBFS with make >= 4.4.1. (Closes:
      #1089277).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Clean-up of generated changelog is now required under a different path.
      (Closes: #1048948).
  * debian/copyright:
    + Update copyright attributions for debian/.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #949352)
    + Let dh_auto_configure call qmake.
    + Build-Depends: qt5-qmake:native for lrelease.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 17:20:37 +0100

x2goclient (4.1.2.3-3) unstable; urgency=medium

  [ Niels Thykier ]
  * Tweak `debian/rules` to enable 'Rules-Requires-Root: no`

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 00:22:28 +0200

x2goclient (4.1.2.3-2) unstable; urgency=medium

  * debian/control:
    + Drop Reinhard Tartler from Uploaders: field (on personal request).
  * debian/:
    + Introduce x2goclient wrapper that sets QT_QPA_PLATFORM to xcb and
      enables QT_AUTO_SCREEN_SCALE_FACTOR before launching the real x2goclient
      executable. (Closes: #1042816).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 00:16:35 +0200

x2goclient (4.1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Drop update_makefile_qt5-build.patch. Addressed upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump DH compat level to version 13.
    + Add Rules-Requires-Root: field and set it to 'binary-targets'.
  * debian/rules:
    + Set x2goclient-specific variable QT_VERSION to '5'.
  * debian/watch:
    + Bump watch file format to version 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Aug 2023 03:02:34 +0200
