=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libldap2-dev,
  libssh-dev (>= 0.5.4-2~),
@@ -19,9 +17,11 @@
  libxpm-dev,
  man2html-base | man2html,
  pkg-config,
+ qt5-qmake:native,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/
