## x2goclient 4.1.2.4-2.1x2gokdrive

=== debian/changelog ===
x2goclient (4.1.2.4-2.1x2gokdrive) UNRELEASED; urgency=medium
* Mon Jun 23 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-2.1x2gokdrive
- fixing terminating session from broker session selection dialog
* Tue Feb 04 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-2.0x2gokdrive
- improving creation of temporary files for the broker sessions, fixing delay by start
  on Windows, wehn defender is checking newly created files
* Fri Jan 10 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-1.0x2gokdrive
- fix crashing when SSH session is disconnected. Improving SSH error messages
* Mon Nov 27 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-0.2x2gokdrive
- fix crashing client in broker mode, when failed to check server RSA key.
* Thu Jul 13 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-0.1x2gokdrive
- fix disconnecting after launching session for some users.
- transfer username and password from x2go client to xfreerdp on direct RDP sessions.
* Fri Jan 20 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.4x2gokdrive
- fixing file transfer on Windows.
- support for keepalive events.
* Tue Aug 23 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.3x2gokdrive
- detecting client keyboard layout for x2gokdrive sessions.
- support for "noresize" option in session's config.
* Mon Jul 25 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.2x2gokdrive
- send to broker xdmcpserver in command option when starting xdmcp session.
- improve event managing.
* Tue Apr  5 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.1x2gokdrive
- Enable/Disable session view buttons inside of sessions explorer.
* Thu Mar 17 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.0x2gokdrive
- Fix "key sticking" on slow connections.
- Do not show empty session folders.
- Rootless mode for x2gokdrive.
- Improve main window updates in x2gokdriveclient.
* Wed Nov 24 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-1.0x2gokdrive
- Implement different view modes for sessions explorer: Favorite sessions, running 
  sessions, all sessions.
- Add special ACL for exported directories in Windows client.
* Wed Oct 20 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.9x2gokdrive
- Fix disconnecting in not debug mode.
* Tue Oct 12 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.8x2gokdrive
- Improve resuming procedure.
* Fri Sep 17 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.7x2gokdrive
- Improve debugging.
* Thu Sep 16 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.6x2gokdrive
- Fix loading session icon to system tray when using broker.
* Thu Sep 16 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.5x2gokdrive
- Fix instant disconnecting when changing between native client and VDI.
* Tue Jul 13 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.4x2gokdrive
- Support for HTTP(S) urls in the session icons when using http broker.
* Wed Jun  9 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.3x2gokdrive
- Send OS version to broker.
- Don't exit if broker is not responding and session is not started.
* Fri Jan 22 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.2x2gokdrive
- Uncompress compressed strings using zlib.
- Open .x2go files with x2goclient.
- Sending client version to broker.
* Wed Oct 14 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.1x2gokdrive
- Fixing problems with large clipboards.
- Support feature versioning.
* Thu May 14 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.7x2gokdrive
- EUMETSAT branding.
- Synchronization with x2gobroker.
* Thu Jan 23 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.6x2gokdrive
  - Changes in x2gokdriveclient:
    - Add floating tool bar.
    - Identify screen, when user hovering the action in the multiple monitors menu.
* Fri Nov 29 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.5x2gokdrive
- Build libssh-0.9.2 with pagent patch for Windows client.
- Changes in Windows installer: include debug build by default.
* Thu Oct 31 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.4x2gokdrive
- Add possibility to suspend and terminate sessions from session selection dialog in broker mode.
- Improve request handling in HTTP broker. Fixing crashes on RH7(VDI) and possible other platforms.
* Thu Sep 5 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.3x2gokdrive
- Display number of suspended and running sessions for each session type.
- Fix crashing if the path for automount in the session config file in wrong
  format. Supporting both Windows and Linux path in automount format. Check if path exists before mounting.
- Do not show Pulseaudio warning on Windows, if Pulseaudio is disabled in settings or by command line.
